com.taosdata.jdbc.ws.tmq.meta

## Class TableTypeDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<TableType>
  - - com.taosdata.jdbc.ws.tmq.meta.TableTypeDeserializer

All Implemented Interfaces:
  com.fasterxml.jackson.databind.deser.NullValueProvider

    public class TableTypeDeserializer
    extends com.fasterxml.jackson.databind.JsonDeserializer<TableType>

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`com.fasterxml.jackson.databind.JsonDeserializer.None`

### Constructor Summary

Constructors
Constructor and Description
`TableTypeDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TableType` `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, deserializeWithType, deserializeWithType, findBackReference, getAbsentValue, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, logicalType, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableTypeDeserializer

    public TableTypeDeserializer()

### Method Detail

#### deserialize

    public TableType deserialize(com.fasterxml.jackson.core.JsonParser p,
                                 com.fasterxml.jackson.databind.DeserializationContext ctxt)
                          throws IOException

Specified by:
  `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<TableType>`
Throws:
  `IOException`